View Issue Details

IDProjectCategoryView StatusLast Update
0000621filegeneralpublic2017-07-20 16:15
ReporterGuillaume 
Assigned ToChristos Zoulas 
PriorityurgentSeverityblockReproducibilityalways
Status assignedResolutionreopened 
Product Version 
Target VersionFixed in VersionHEAD 
Summary0000621: finfo guesser failed for max file (autodesk 3dsmax file)
DescriptionHello,

I have an issue with ".max" files (3dsmax files). It cannot guess the mimeTypet and I am having this error:

finfo::file(): Failed identify data 0:(null)

How can i avoid it or make it as a warning?

Thank you,

Regards,

Guillaume
TagsNo tags attached.

Relationships

Activities

Christos Zoulas

Christos Zoulas

2017-06-24 15:25

manager   ~0001538

Added magic for 3ds files.
Guillaume

Guillaume

2017-06-26 15:08

reporter   ~0001539

Thank you for the fix. When would the next realease be available? Can i install the master version of file? (and how?). is it safe enough?

Regards,

Guillaume
Guillaume

Guillaume

2017-06-26 15:20

reporter   ~0001540

Is it possible to add this magic entry for 3ds files without installing a new version? (For example by modifying /etc/magic?

Thank you,

Guillaume
Guillaume

Guillaume

2017-06-26 15:45

reporter   ~0001541

I have tried to add your modification in /etc/magic and the bug seems to be still here:

file --mime-type BRC010060.max
BRC010060.max: , corrupt: Can't expand summary_info

I have attached the file

Regards,

Guillaume
Christos Zoulas

Christos Zoulas

2017-06-26 15:48

manager   ~0001542

Yes, it is safe; in fact you only need to copy the cad file from Magdir and rebuild the magic file.
Guillaume

Guillaume

2017-06-26 16:06

reporter   ~0001543

Ok i have to look how to rebuild it (if you have a tutorial, it would be great).

Could you confirm that you are not having issues with the file attached?

Regards,

Guillaume

Test.max (188,416 bytes)
Guillaume

Guillaume

2017-07-20 08:37

reporter   ~0001547

Ok it is working after rebuilding it from command line. However, how can make it work for PHP as i have to use libmagic 5.22?

Thanks,

Guillaume
Christos Zoulas

Christos Zoulas

2017-07-20 12:40

manager   ~0001548

You either have to
1. recompile php
2. patch and rebuild the system libmagic
3. replace the system libmagic and the system magic database with a newer one.
Guillaume

Guillaume

2017-07-20 14:02

reporter   ~0001549

Ok however your fix seems not to work for version 5.22.
I am getting this error from "make":

Making all in magic
make[2]: Entering directory `/root/file-5.22/magic'
../src/file -C -m magic
lt-file: Unknown !: entry `!:extension 3ds'
make[2]: *** [magic.mgc] Error 1
make[2]: Leaving directory `/root/file-5.22/magic'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/root/file-5.22'
make: *** [all] Error 2
Guillaume

Guillaume

2017-07-20 14:13

reporter   ~0001550

And if i am replacing all the magic folder from master, php is not able to read the database..

"finfo::finfo(): Failed to load magic database at '/usr/local/share/misc/magic.mgc'."
Christos Zoulas

Christos Zoulas

2017-07-20 14:13

manager   ~0001551

seems that you are trying to use a new magic file with an old library; either comment out the entries that the old library does not understand, or use the old magic files.
Guillaume

Guillaume

2017-07-20 14:21

reporter   ~0001552

the library is made from the folder magic in file repository, right? Or i have to get the library from another folder?

php 7.1 is compatible with libmagic version 5.22, so how should i do to add the new entry you have added here: https://github.com/file/file/commit/9d6c1f198229125ff283712fec0414da33680072

Thanks
Guillaume

Guillaume

2017-07-20 15:25

reporter   ~0001553

You are right, i am have this error from command line: file: File 5.22 supports only version 12 magic files. `/usr/local/share/misc/magic.mgc' is version 14

Thus, what is the last version of file using version 14 magic files?
Guillaume

Guillaume

2017-07-20 16:15

reporter   ~0001554

i have tried to comment the line `!:extension 3ds' but then i still have the same first issue:

finfo::file(): Failed identify data 0:(null)

Issue History

Date Modified Username Field Change
2017-06-22 12:11 Guillaume New Issue
2017-06-24 15:25 Christos Zoulas Assigned To => Christos Zoulas
2017-06-24 15:25 Christos Zoulas Status new => assigned
2017-06-24 15:25 Christos Zoulas Status assigned => resolved
2017-06-24 15:25 Christos Zoulas Resolution open => fixed
2017-06-24 15:25 Christos Zoulas Fixed in Version => HEAD
2017-06-24 15:25 Christos Zoulas Note Added: 0001538
2017-06-26 15:08 Guillaume Status resolved => feedback
2017-06-26 15:08 Guillaume Resolution fixed => reopened
2017-06-26 15:08 Guillaume Note Added: 0001539
2017-06-26 15:20 Guillaume Note Added: 0001540
2017-06-26 15:20 Guillaume Status feedback => assigned
2017-06-26 15:45 Guillaume Note Added: 0001541
2017-06-26 15:48 Christos Zoulas Note Added: 0001542
2017-06-26 16:06 Guillaume File Added: Test.max
2017-06-26 16:06 Guillaume Note Added: 0001543
2017-07-20 08:37 Guillaume Note Added: 0001547
2017-07-20 12:40 Christos Zoulas Note Added: 0001548
2017-07-20 14:02 Guillaume Note Added: 0001549
2017-07-20 14:13 Guillaume Note Added: 0001550
2017-07-20 14:13 Christos Zoulas Note Added: 0001551
2017-07-20 14:21 Guillaume Note Added: 0001552
2017-07-20 15:25 Guillaume Note Added: 0001553
2017-07-20 16:15 Guillaume Note Added: 0001554